For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/returns/llms.txt. For full documentation content, see https://developer.shipbob.com/api/returns/llms-full.txt.

# Get Return Order


GET https://api.shipbob.com/2026-01/return/{id}

Retrieves the complete details of a specific return order by its unique ID. Use this to view return status, inventory items, transactions, and processing history.


Reference: https://developer.shipbob.com/api/returns/get-return-order

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/return/{id}:
    get:
      operationId: get-return-order
      summary: |
        Get Return Order
      description: >
        Retrieves the complete details of a specific return order by its unique
        ID. Use this to view return status, inventory items, transactions, and
        processing history.
      tags:
        - subpackage_returns
      parameters:
        - name: id
          in: path
          description: |
            The Id of the Return
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
        - name: shipbob_channel_id
          in: header
          description: >-
            Retrieve your channel ID from the [GET
            /channel](/api/channels/get-channels) endpoint. Use the channel ID
            that has write scopes.
          required: false
          schema:
            type: string
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Returns.PublicReturnDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Returns.ProblemDetails'
        '401':
          description: Authorization missing or invalid
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: The provided credentials are not authorized to access this resource
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Returns.ProblemDetails'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Returns.ChannelDto:
      type: object
      properties:
        id:
          type: integer
          description: Unique Id of the channel
        name:
          type:
            - string
            - 'null'
          description: Name given to the channel
      description: The details of a Channel
      title: Returns.ChannelDto
    Returns.FulfillmentCenterDto:
      type: object
      properties:
        id:
          type: integer
          description: Unique id of the fulfillment center
        name:
          type:
            - string
            - 'null'
          description: Name give to the fulfillment center
      description: The details of a Fulfillment Center
      title: Returns.FulfillmentCenterDto
    Returns.ActionRequestedDto:
      type: object
      properties:
        action:
          type:
            - string
            - 'null'
          description: The action to take
        action_type:
          type:
            - string
            - 'null'
          description: >-
            The source of the action to take, i.e. Inventory Default or
            Overriden by Merchant at creation
        instructions:
          type:
            - string
            - 'null'
          description: >-
            The instructions for how to take the action given by inventory
            owning Merchant
      description: The details of the action requested for inventory
      title: Returns.ActionRequestedDto
    Returns.ActionTakenDto:
      type: object
      properties:
        action:
          type:
            - string
            - 'null'
          description: The return action taken
        action_reason:
          type:
            - string
            - 'null'
          description: The reason the action was taken
        image_url:
          type:
            - string
            - 'null'
          format: uri
          description: Image of inventory processed with this action.
        quantity_processed:
          type: integer
          description: >-
            The quantity of inventory items processed with this reason and
            action
      description: The details of an action taken for inventory item in the return
      title: Returns.ActionTakenDto
    Returns.LotInformationDto:
      type: object
      properties:
        expiration:
          type:
            - string
            - 'null'
          format: date-time
          description: The expiration date for this lot.
        minimumShelfLife:
          type:
            - integer
            - 'null'
          description: >-
            A minimum amount of time in days this product can be safely returned
            to the shelf without expiring.
        number:
          type:
            - string
            - 'null'
          description: >-
            An alphanumeric string uniquely identifying this lot of produced
            inventory.
      description: Lot information associated with a specific inventory item.
      title: Returns.LotInformationDto
    Returns.InventoryItemDto:
      type: object
      properties:
        action_requested:
          $ref: '#/components/schemas/Returns.ActionRequestedDto'
        action_taken:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Returns.ActionTakenDto'
          description: List of actions taken
        barcodes:
          type:
            - array
            - 'null'
          items:
            type: string
          description: List of barcodes associated with the inventory item
        id:
          type: integer
          description: Unique id of the inventory
        lot_information:
          $ref: '#/components/schemas/Returns.LotInformationDto'
        name:
          type:
            - string
            - 'null'
          description: Name of the product
        quantity:
          type: integer
          description: Number of inventory that is being returned
        sku:
          type:
            - string
            - 'null'
          description: Stock keeping unit identifier for the inventory item
      description: The details of the inventory in the return order
      title: Returns.InventoryItemDto
    Returns.InvoiceDto:
      type: object
      properties:
        amount:
          type:
            - number
            - 'null'
          format: double
          description: Amount being charged
        currency_code:
          type:
            - string
            - 'null'
          description: Currency code of amount
      description: The invoice amount and curency
      title: Returns.InvoiceDto
    Returns.StatusHistoryDto:
      type: object
      properties:
        status:
          type:
            - string
            - 'null'
          description: Status to change
        timestamp:
          type: string
          format: date-time
          description: Date change status
      description: Status history
      title: Returns.StatusHistoryDto
    Returns.TransactionDto:
      type: object
      properties:
        amount:
          type: number
          format: double
          description: The amount charged for this transaction
        transaction_type:
          type:
            - string
            - 'null'
          description: The type of transaction
      description: The details of a transaction charged to the return order
      title: Returns.TransactionDto
    Returns.PublicReturnDto:
      type: object
      properties:
        arrived_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the return arrived at the fulfillment center
        awaiting_arrival_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the return entered Awaiting Arrival status
        cancelled_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the return was cancelled, if applicable
        channel:
          $ref: '#/components/schemas/Returns.ChannelDto'
        completed_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time for when the return order was completely processed
        customer_name:
          type:
            - string
            - 'null'
          description: Name of merchant that return belongs to
        fulfillment_center:
          $ref: '#/components/schemas/Returns.FulfillmentCenterDto'
        id:
          type: integer
          description: Unique id of the return order
        insert_date:
          type: string
          format: date-time
          description: The date and time for when the return order was created
        inventory:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Returns.InventoryItemDto'
          description: List of inventory items in return order
        invoice:
          $ref: '#/components/schemas/Returns.InvoiceDto'
        original_shipment_id:
          type:
            - integer
            - 'null'
          description: ShipmentId for which return was created
        processing_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the return started processing
        reference_id:
          type:
            - string
            - 'null'
          description: >-
            Unique reference id of the return order. Created by merchant if a
            regular return.
        return_type:
          type:
            - string
            - 'null'
          description: Type of the return, i.e. Regular, RTS
        shipment_tracking_number:
          type:
            - string
            - 'null'
          description: The tracking number of the original shipment
        status:
          type:
            - string
            - 'null'
          description: Status of the return order, i.e. Awaiting Arrival
        status_history:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Returns.StatusHistoryDto'
          description: List of status history in return order
        store_order_id:
          type:
            - string
            - 'null'
          description: Reference to external order id
        tracking_number:
          type:
            - string
            - 'null'
          description: The tracking number of the return shipping label
        transactions:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Returns.TransactionDto'
          description: >-
            List of transactions that make up the billable amount to invoice a
            merchant
      description: >-
        The details of a public return order, including the transactions and
        inventory items
      title: Returns.PublicReturnDto
    Returns.ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Returns.ProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Returns_getReturnOrder_example
import requests

url = "https://api.shipbob.com/2026-01/return/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Returns_getReturnOrder_example
const url = 'https://api.shipbob.com/2026-01/return/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Returns_getReturnOrder_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/return/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Returns_getReturnOrder_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/return/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Returns_getReturnOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-01/return/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Returns_getReturnOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-01/return/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Returns_getReturnOrder_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/return/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Returns_getReturnOrder_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/return/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```